com.microfocus.awm.control.toolexecution

## Class TableOutputParameter

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter
  - - com.microfocus.awm.control.toolexecution.ToolOutputParameter
    - - com.microfocus.awm.control.toolexecution.FileOutputParameter
      - - com.microfocus.awm.control.toolexecution.TableOutputParameter

- All Implemented Interfaces:
    IDynamicObject, IFileOutputParameter, IFileParameter, IToolOutputParameter, IToolParameter

      public class TableOutputParameter
      extends FileOutputParameter

  A file output parameter which attempts to convert a `StringTable` into the table structure provided by the file descriptor referenced by the modeled output parameter.

  AWM will only be able to process the output parameter if the referenced file descriptor has the type `EFileTypes.INPUT_STREAM` and structure type `EFileStructures.TABLE`. Otherwise an exception will be thrown.

  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableOutputParameter(IModeledFileOutputParameter pOutputFile, java.lang.String[][] pValues)` Creates a table output parameter from a matrix of Strings.
    `TableOutputParameter(IModeledFileOutputParameter pOutputFile, StringTable pStringTable)` Creates a table output parameter from a `StringTable`.

  - ### Method Summary

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.FileOutputParameter

      `getTargetID`

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.ToolOutputParameter

      `getModelObject, getValue, toString`

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter

      `getAttributes, isMassProcessingParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolOutputParameter

      `getModelObject, getValue`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolParameter

      `isMassProcessingParameter`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### TableOutputParameter

          public TableOutputParameter(IModeledFileOutputParameter pOutputFile,
                                      java.lang.String[][] pValues)
                               throws TaurusToolException

      Creates a table output parameter from a matrix of Strings.
      Parameters:
        `pOutputFile` - modeled output parameter
        `pValues` - values to be mapped to table structure properties
      Throws:
        `TaurusToolException` - if the file descriptor structure is not compatible for generating `IPropertyData` or contains less properties than Strings in a given line
      See Also:
        `ToolUtility.createPropertyData(String[][], FileDescriptor)`

    - #### TableOutputParameter

          public TableOutputParameter(IModeledFileOutputParameter pOutputFile,
                                      StringTable pStringTable)
                               throws TaurusToolException

      Creates a table output parameter from a `StringTable`.
      Parameters:
        `pOutputFile` - modeled output parameter
        `pStringTable` - string table containing values to be mapped to table structure properties
      Throws:
        `TaurusToolException` - if the file descriptor structure is not compatible for generating `IPropertyData` or contains less properties than Strings in a given line
      See Also:
        `ToolUtility.createPropertyData(IObjectTable, FileDescriptor)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.